#
# spec file for package perl-HTML-Tagset (Version 3.03)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-HTML-Tagset
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Summary:      Data tables useful in dealing with HTML
Version:      3.03
Release:      90
Url:          http://www.perl.com/CPAN/
Source:       HTML-Tagset-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
Perl module which contains data tables useful in dealing with HTML.

Authors:
--------
    Sean M. Burke <sburke@cpan.org>

SuSE series: perl

%prep
%setup -n HTML-Tagset-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/HTML-Tagset
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/HTML/Tagset
cat .packlist | sed s:$RPM_BUILD_ROOT:: | sort -u > .packlist.n
mv .packlist.n .packlist
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
cat HTML-Tagset | sed s:$RPM_BUILD_ROOT:: > HTML-Tagset.n
mv HTML-Tagset.n HTML-Tagset

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README MANIFEST ChangeLog
/usr/lib/perl5/site_perl/5.*/HTML/Tagset.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/HTML/Tagset/
/var/adm/perl-modules/HTML-Tagset

%clean
rm -r $RPM_BUILD_ROOT

%changelog -n perl-HTML-Tagset
* Mon Mar 26 2001 - cihlar@suse.cz
- package created
